%define _buildid .5

%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

#====================================================================#

Name:           PyYAML
Version:        3.09
Release: 5%{?_buildid}%{?dist}_bashton
Summary:        YAML parser and emitter for Python

Group:          Development/Libraries
License:        MIT
URL:            http://pyyaml.org/
Source0:        http://pyyaml.org/download/pyyaml/%{name}-%{version}.tar.gz
BuildRoot:      %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildRequires:  python-devel, python-setuptools, libyaml-devel

Obsoletes:      python-yaml
Provides:       python-yaml = %{version}-%{release}

%description
YAML is a data serialization format designed for human readability and
interaction with scripting languages.  PyYAML is a YAML parser and
emitter for Python.

PyYAML features a complete YAML 1.1 parser, Unicode support, pickle
support, capable extension API, and sensible error messages.  PyYAML
supports standard YAML tags and provides Python-specific tags that
allow to represent an arbitrary Python object.

PyYAML is applicable for a broad range of tasks from complex
configuration files to object serialization and persistance.

%prep
%setup -q -n %{name}-%{version}
chmod a-x examples/yaml-highlight/yaml_hl.py


%build
CFLAGS="${RPM_OPT_FLAGS}" %{__python} setup.py --with-libyaml build


%install
rm -rf %{buildroot}
%{__python} setup.py install -O1 --skip-build --root %{buildroot}


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc CHANGES LICENSE PKG-INFO README examples
%{python_sitearch}/*


%changelog
* Tue Nov 22 2011 Sam Bashton <sam@bashton.com>
- Rebuild for EL6

* Thu Aug 4 2011 00:00:19 UTC Cristian Gafton <gafton@amazon.com>
- provide a versioned provide of the old package name python-yaml

* Wed Jul 27 2011 17:52:11 UTC Nathan Blackham <blackham@amazon.com>
- Adding a provides for python-yaml for backward compatibility

* Thu Jul 21 2011 21:52:22 UTC Cristian Gafton <gafton@amazon.com>
- obsoletes: python-yaml

* Sat Jan 22 2011 13:06:04 UTC Cristian Gafton <gafton@amazon.com>
- import source package GOBI/PyYAML-3.09-5.el6

* Sat Jan 22 2011 13:01:00 UTC Cristian Gafton <gafton@amazon.com>
- setup complete for package PyYAML
